Package org.eclipse.cdt.core.dom.ast.cpp

# Class CPPASTVisitor

java.lang.Object
org.eclipse.cdt.core.dom.ast.ASTVisitor
org.eclipse.cdt.core.dom.ast.cpp.CPPASTVisitor

All Implemented Interfaces:
  `ICPPASTVisitor`

@Deprecated public abstract class CPPASTVisitor extends ASTVisitor implements ICPPASTVisitor
Deprecated.
you can use `ASTVisitor`, instead.

## Field Summary

### Fields inherited from class org.eclipse.cdt.core.dom.ast.ASTVisitor

`includeInactiveNodes, PROCESS_ABORT, PROCESS_CONTINUE, PROCESS_SKIP, shouldVisitAmbiguousNodes, shouldVisitArrayModifiers, shouldVisitAttributes, shouldVisitBaseSpecifiers, shouldVisitCaptures, shouldVisitDeclarations, shouldVisitDeclarators, shouldVisitDeclSpecifiers, shouldVisitDecltypeSpecifiers, shouldVisitDesignators, shouldVisitEnumerators, shouldVisitExpressions, shouldVisitImplicitDestructorNames, shouldVisitImplicitNameAlternates, shouldVisitImplicitNames, shouldVisitInitializers, shouldVisitNames, shouldVisitNamespaces, shouldVisitParameterDeclarations, shouldVisitPointerOperators, shouldVisitProblems, shouldVisitStatements, shouldVisitTemplateParameters, shouldVisitTokens, shouldVisitTranslationUnit, shouldVisitTypeIds, shouldVisitVirtSpecifiers`

## Constructor Summary

Constructors
Constructor
Description
`CPPASTVisitor()`
Deprecated.
`CPPASTVisitor(boolean visitNodes)`
Deprecated.

## Method Summary

### Methods inherited from class org.eclipse.cdt.core.dom.ast.ASTVisitor

`leave, leave, leave, leave, leave, leave, leave, leave, leave, leave, leave, leave, leave, leave, leave, leave, leave, leave, leave, leave, leave, leave, leave, leave, leave, leave, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPASTVisitor

`leave, leave, leave, visit, visit, visit`

## Constructor Details

### CPPASTVisitor

public CPPASTVisitor()
Deprecated.

See Also:
  - `ASTVisitor()`

### CPPASTVisitor

public CPPASTVisitor(boolean visitNodes)
Deprecated.

Since:
  5.1
See Also:
  - `ASTVisitor(boolean)`